div.details-switch-container {
  // position: relative;
  background-color: cyan;

  details.iconed-switch {
    font-size: xx-large;
    // position: absolute;
  }

  details.iconed-switch ~ div.opened {
    display: none;
  }

  details.iconed-switch ~ div.closed {
    display: block;
  }

  details.iconed-switch[open] ~ div.opened {
    display: block;
  }

  details.iconed-switch[open] ~ div.closed {
    display: none;
  }
}
